1. API reference
  2. Pipelines

List pipelines

GEThttps://howdybell.com/api/v1/pipelines

Returns all pipelines for the specified location, ordered by position. Each pipeline includes its stages and calculated stage totals.

Parameters

  • location_idintegerRequiredquery

    The location to work in. Must belong to your workspace.

Responses

200

  • dataarray of object
    • idinteger
    • namestring
    • is_defaultboolean
    • positioninteger
    • stagesarray of string
RequestcURL
curl -X GET "https://howdybell.com/api/v1/pipelines?location_id=1" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
Response200
{
  "data": [
    {
      "id": 1,
      "name": "Sales",
      "is_default": true,
      "position": 0,
      "stages": [
        {
          "id": 1,
          "name": "New",
          "kind": "open",
          "color": "#0288D1",
          "position": 0,
          "count": 3,
          "value_cents": 4610000
        },
        {
          "id": 2,
          "name": "Contacted",
          "kind": "open",
          "color": "#303F9F",
          "position": 1,
          "count": 3,
          "value_cents": 2750000
        }
      ]
    }
  ]
}
List pipelines (GET /api/v1/pipelines) | HowdyBell Developers